Changes
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "added",
"id": "6778c884830a8f4cc7667e36",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 05:35:00 UTC",
"value": {
"group": "tones",
"id": 321464,
"name": "intense"
}
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "6779c6451a2df59ad374dfa7",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 23:37:41 UTC",
"value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png"
}
}
},
{
"action": "added",
"id": "6779c64d15521f83d966db33",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 23:37:49 UTC",
"value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png"
}
}
},
{
"action": "updated",
"id": "6779c65982cce15a7674e104",
"iso_3166_1": "",
"iso_639_1": "hu",
"original_value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png",
"iso_639_1": null
}
},
"time": "2025-01-04 23:38:01 UTC",
"value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png",
"iso_639_1": "hu"
}
}
},
{
"action": "updated",
"id": "6779c65f15521f83d966db37",
"iso_3166_1": "",
"iso_639_1": "hu",
"original_value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png",
"iso_639_1": null
}
},
"time": "2025-01-04 23:38:07 UTC",
"value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png",
"iso_639_1": "hu"
}
}
}
],
"key": "images"
}
]
}TV SERIES
Changes
This endpoint get the recent changes for a TV show.
GET
/
3
/
tv
/
{series_id}
/
changes
Changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This refers to a unique identifier assigned to a television series within the database.
Example:
""
Query Parameters
This indicates the end of the date range for the data you want to retrieve
Indicates which page of results to return. Default is the first page (1).
Example:
1
It specifies what date you want the results to start from
Response
200 - application/json
changes
Show child attributes
Show child attributes
Example:
[
{
"items": [
{
"action": "added",
"id": "6778c884830a8f4cc7667e36",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 05:35:00 UTC",
"value": {
"group": "tones",
"id": 321464,
"name": "intense"
}
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "6779c6451a2df59ad374dfa7",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 23:37:41 UTC",
"value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png"
}
}
},
{
"action": "added",
"id": "6779c64d15521f83d966db33",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-04 23:37:49 UTC",
"value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png"
}
}
},
{
"action": "updated",
"id": "6779c65982cce15a7674e104",
"iso_3166_1": "",
"iso_639_1": "hu",
"original_value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png",
"iso_639_1": null
}
},
"time": "2025-01-04 23:38:01 UTC",
"value": {
"title_logo": {
"file_path": "/drouevbbzEoSwcPdEkiwDtNx6oa.png",
"iso_639_1": "hu"
}
}
},
{
"action": "updated",
"id": "6779c65f15521f83d966db37",
"iso_3166_1": "",
"iso_639_1": "hu",
"original_value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png",
"iso_639_1": null
}
},
"time": "2025-01-04 23:38:07 UTC",
"value": {
"title_logo": {
"file_path": "/nU0oqhzgHC4swzFFaqlOMhS2oDz.png",
"iso_639_1": "hu"
}
}
}
],
"key": "images"
}
]
⌘I